/** @component button */
import { AfterViewInit, ElementRef } from '@angular/core';
export declare type ButtonType = 'button' | 'reset' | 'submit';
export declare class ButtonComponent implements AfterViewInit {
    private el;
    /** @prop Active Sets button to active | false */
    active: boolean;
    /** @prop Creates a circle shaped button | false */
    circle: boolean;
    /** @prop Sets optional button color | '' */
    color: string;
    /** @prop Sets the attribute disabled to Button | false */
    disabled: boolean;
    /** @prop Sets expand css styling to widen the Button | false */
    expand: boolean;
    /** @prop Sets href for an anchor tagged button | '' */
    href: string;
    /** @prop Activates the loading animation and sets the button to disabled | false */
    loading: boolean;
    /** @prop Boolean to remove Button's default style | false */
    removeStyle: boolean;
    /** @prop Size value | '36' */
    size: number | string;
    /** @prop Html button type | 'button' */
    type: ButtonType;
    private _color;
    private _focusIndex;
    private _prevFocusIndex;
    private _removeStyle;
    private _size;
    private _width;
    focusOnLoad: boolean;
    index: number;
    focusIndex: number;
    readonly hostElement: ElementRef;
    readonly opacity: number;
    width: string;
    constructor(el: ElementRef);
    ngAfterViewInit(): void;
    private checkButtonSize;
    private checkAriaLabel;
    private getAttr;
}
