import { OnInit, ViewContainerRef } from '@angular/core';
import { EventManager } from '@angular/platform-browser';
import { PageHeaderContentComponent } from './page-header-content.component';
export declare type tweenType = 'linear' | 'easeIn' | 'easeOut' | 'easeInOut';
export declare class PageHeaderComponent implements OnInit {
    private eventManager;
    private viewContainerRef;
    /** @prop Text to display for title features | '' */
    title: string;
    /** @prop Text to display for descriptions features | '' */
    lead: string;
    /** @prop Sets css style (text-align) for the component | 'center' */
    textAlign: string;
    /** @prop Sets whether to fix component when scrolling | true */
    enableScrollFix: boolean;
    /** @prop shrink motion will be called when the scrollTop of the container is bigger than this value | 0 */
    shrinkStartScrollTop: number;
    /** @prop Sets the css top value which  the component will be fixed at finally | 20 */
    shrinkEndFixedTop: number;
    /** @prop Sets the range which the leader hiding motion will be called | 20 */
    leaderHideLength: number;
    /** @prop Sets the css transform:scale(X) for the fixed state | 0.42 */
    ratioMin: number;
    /** @prop Sets the easing formula for the shrinking motion | 'linear' */
    tween: tweenType;
    fixElement?: PageHeaderContentComponent;
    staticElement: PageHeaderContentComponent;
    private checkDomTime;
    private scrollState;
    private warpX;
    private warpY;
    private warpH;
    private shrinkEndScrollTop;
    private shrinkLength;
    private leaderShrinkStartScrollTop;
    private Tween;
    ifContainerClassLeft: boolean;
    constructor(eventManager: EventManager, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    onScroll: () => void;
    checkDom: () => void;
    checkScrollState: (scrollState: any, callback?: any) => void;
    getDomPosition: (pObj: any) => {
        x: any;
        y: any;
    };
}
