/** @component search-input */
import { EventEmitter } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
export declare class SearchInputComponent implements ControlValueAccessor {
    control: NgControl;
    /** @option Optional css class string | ''  */
    class: string;
    /** @option optional button to clear input text */
    clear: boolean;
    /** @option Sets the disabled attribute of the Input | false */
    disabled: boolean;
    /** @option Unique HTML ID used for tying label to HTML input for automated testing */
    htmlId: string;
    /** @option Input css class name string */
    inputClass: string;
    /** @option Overall input group size | '' */
    inputSize: string;
    /** @option Input label text | '' */
    label: string;
    /** @option Placeholder text to display when Input is empty | '' */
    placeholder: string;
    /** @option Determines if Input can be edited | false */
    readOnly: boolean;
    /** @option Input color theme | '' */
    theme: string;
    /** @option Input type | 'text' */
    type: string;
    /** @option Sets the attribute name to the input element | '' */
    name: string;
    /** @option function when clicked outside of input */
    handleBlur: EventEmitter<any>;
    /** @option function when input is focused */
    handleFocus: EventEmitter<any>;
    /** @option function when key down on input */
    handleKeyDown: EventEmitter<any>;
    /** @option function when mouse down on input */
    handleMouseDown: EventEmitter<any>;
    private innerValue;
    private onTouchedCallback;
    private onChangeCallback;
    value: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onKeyDown(event: any): void;
    onMouseDown(event: any): void;
    onBlur(event: any): void;
    onFocus(event: any): void;
    constructor(control: NgControl);
    readonly wrapperClasses: {
        [x: string]: string | boolean;
        'md-search-input--pill': boolean;
        'read-only': boolean;
        disabled: boolean;
    };
    readonly inputClasses: {
        [x: string]: any;
        'read-only': boolean;
        disabled: boolean;
        dirty: any;
    };
    readonly iconClass: {
        'icon-search_16 ': boolean;
        'icon-search_20': boolean;
    };
    handleClear(): void;
}
